Skip to main content
GET
Get a billing account

Authorizations

Authorization
string
header
required

Bearer token for the authenticated caller.

Path Parameters

billing_account
string
required
Required string length: 3 - 54

Response

BillingAccount

id
string
required
Required string length: 3 - 54
name
string
required
Pattern: ^billingAccounts\/bac_[A-Za-z0-9]+$
Example:

"billingAccounts/bac_4kQ9mXr2Tz7Lw1"

organization_id
string
required
Required string length: 3 - 54
display_name
string
required
Required string length: 1 - 100
state
enum<string>
required
Available options:
PENDING,
ACTIVE,
CLOSED
payment_method
object
required
currency_code
enum<string>
required
Available options:
EUR
conditions
object[]
required

Problems and notable facts that hold now, beside state; empty when there are none. See each reason in the resource description.

Maximum array length: 32
created_at
integer
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
updated_at
integer
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
closed_at
integer | null
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991
etag
string
required
Maximum string length: 64